<script lang='tsx'>
import { Component } from 'vue-property-decorator';
import IBIZBOOKDashboardViewBase from './ibizbookdashboard-view-base.vue';

import view_dashboard from '@widgets/ibizbook/usr2-dashboard/usr2-dashboard.vue';
// 基于 @VIEW/@MACRO/VIEW.vue.ftl 生成
@Component({
    components: {
        view_dashboard, 
    },
    beforeRouteEnter: (to: any, from: any, next: any) => {
        next((vm: any) => {
            if(!Object.is(vm.navModel,"route")){
                vm.initNavDataWithTab(vm.viewCacheData);
            }
            vm.$store.commit('addCurPageViewtag', { fullPath: to.fullPath, viewtag: vm.viewtag });
        });
    },
})
export default class IBIZBOOKDashboardView extends IBIZBOOKDashboardViewBase {

}
</script>